اعلانهای شخصی
GET https://push.cheraghestan.com/api/personal-notifications/
curl --request GET \
--url 'https://push.cheraghestan.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/personal-notifications/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | چه فیلدی را جستجو میکنید. مقادیر مجاز: name, title, description, url. |
| website_id | اختیاری عدد صحیح | |
| status | اختیاری رشته | مقادیر مجاز: draft, scheduled, processing, sent |
| datetime_field | اختیاری رشته | مقادیر مجاز: datetime, last_datetime, sent_datetime, scheduled_datetime |
| datetime_start | اختیاری رشته | نتایج را از این تاریخ و زمان شروع فیلتر کنید. فرمت Y-m-d H:i:s. |
| datetime_end | اختیاری رشته | نتایج را تا این تاریخ و زمان فیلتر کنید. فرمت Y-m-d H:i:s. |
| order_by | اختیاری رشته | نتایج بر اساس کدام فیلد مرتب شوند. مقادیر مجاز: personal_notification_id, datetime, last_datetime, sent_datetime, scheduled_datetime, name, title. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن باشد. پیشفرض 1. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز: 10, 25, 50, 100, 250, 500, 1000. پیشفرض 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-10-13 14:40:18",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://push.cheraghestan.com/api/personal-notifications?page=1",
"last": "https://push.cheraghestan.com/api/personal-notifications?page=1",
"next": null,
"prev": null,
"self": "https://push.cheraghestan.com/api/personal-notifications?page=1"
}
}
GET https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}
curl --request GET \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"website_id": 1,
"subscriber_id": 1,
"name": "Example",
"title": "Sample message",
"description": "This is coming from the API.",
"url": "https://example.com",
"image_url": null,
"settings": {
"is_scheduled": 0,
"ttl": 2419200,
"urgency": "normal",
"is_silent": 0,
"is_auto_hide": 0,
"button_title_1": "",
"button_url_1": "",
"button_title_2": "",
"button_url_2": ""
},
"is_sent": 1,
"is_displayed": 1,
"is_clicked": 0,
"is_closed": 0,
"status": "sent",
"scheduled_datetime": "2024-08-02 17:00:43",
"sent_datetime": "2024-08-02 17:00:43",
"last_datetime": null,
"datetime": "2026-10-13 14:40:18",
}
}
POST https://push.cheraghestan.com/api/personal-notifications
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | الزامی عدد صحیح | - |
| subscriber_id | الزامی عدد صحیح | - |
| name | الزامی رشته | - |
| title | الزامی رشته | - |
| description | الزامی رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_scheduled | اختیاری بولی | - |
| scheduled_datetime | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| save | اختیاری بولی | ذخیره پیشنویس |
| send | اختیاری بولی | ارسال اعلان شخصی |
curl --request POST \
--url 'https://push.cheraghestan.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.cheraghestan.com/api/personal-notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
POST https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| website_id | اختیاری عدد صحیح | - |
| subscriber_id | اختیاری عدد صحیح | - |
| name | اختیاری رشته | - |
| title | اختیاری رشته | - |
| description | اختیاری رشته | - |
| url | اختیاری رشته | - |
| image | اختیاری فایل | - |
| button_title_1 | اختیاری رشته | - |
| button_url_1 | اختیاری رشته | - |
| button_title_2 | اختیاری رشته | - |
| button_url_2 | اختیاری رشته | - |
| is_scheduled | اختیاری بولی | - |
| scheduled_datetime | اختیاری رشته | - |
| is_silent | اختیاری بولی | - |
| is_auto_hide | اختیاری بولی | - |
| ttl | اختیاری رشته | مقادیر مجاز: 0, 900, 1800, 3600, 10800, 21600, 43200, 86400, 259200, 432000, 604800, 1209600, 2419200 |
| utm_source | اختیاری رشته | - |
| utm_medium | اختیاری رشته | - |
| utm_campaign | اختیاری رشته | - |
| save | اختیاری بولی | ذخیره پیشنویس |
| send | اختیاری بولی | ارسال اعلان شخصی |
curl --request POST \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example name' \
--form 'website_id=1' \
--form 'subscriber_id=1' \
--form 'title=Example title' \
--form 'description=Example description' \
{
"data": {
"id": 1
}
}
DELETE https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}
curl --request DELETE \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://push.cheraghestan.com/api/personal-notifications/{personal_notification_id}' \
--header 'Authorization: Bearer {api_key}' \